Package org.opensaml.messaging.decoder.servlet

# Interface HttpServletRequestMessageDecoder

All Superinterfaces:
  `Component`, `DestructableComponent`, `InitializableComponent`, `MessageDecoder`

All Known Implementing Classes:
  `AbstractHttpServletRequestMessageDecoder`, `BaseHttpServletRequestXMLMessageDecoder`, `BaseSAMLHttpServletRequestDecoder`, `HTTPArtifactDecoder`, `HTTPArtifactDecoder`, `HTTPPostDecoder`, `HTTPPostDecoder`, `HTTPPostSimpleSignDecoder`, `HTTPRedirectDeflateDecoder`, `HTTPSOAP11Decoder`, `HTTPSOAP11Decoder`, `HTTPSOAP11Decoder`

public interface HttpServletRequestMessageDecoder extends MessageDecoder
A specialization of `MessageDecoder` that operates on a source message data type of `HttpServletRequest`.

## Method Summary

Modifier and Type
Method
Description
`HttpServletRequest`
`getHttpServletRequest()`
Get the HTTP servlet request on which to operate.
`void`
`setHttpServletRequestSupplier(NonnullSupplier<HttpServletRequest> requestSupplier)`
Set the supplier for the HTTP servlet request on which to operate.

### Methods inherited from interface net.shibboleth.shared.component.DestructableComponent

`destroy, isDestroyed`

### Methods inherited from interface net.shibboleth.shared.component.InitializableComponent

`initialize, isInitialized`

### Methods inherited from interface org.opensaml.messaging.decoder.MessageDecoder

`decode, getMessageContext`

## Method Details

### getHttpServletRequest

@Nullable HttpServletRequest getHttpServletRequest()
Get the HTTP servlet request on which to operate.

Returns:
  the HTTP servlet request

### setHttpServletRequestSupplier

void setHttpServletRequestSupplier(@Nullable NonnullSupplier<HttpServletRequest> requestSupplier)
Set the supplier for the HTTP servlet request on which to operate.

Parameters:
  `requestSupplier` - the HTTP servlet request